Subject: Industrial Footage

From: [email-masked] (Chris Youngson)
Date: 29 Mar 1995 11:32:32 -0800

I am looking for a source for industrial film footage from the first half 
of this century. WWII aircraft production, arsenals, Singer, Ford, South 
Bend, you name it. Also pictures. Can also be foriegn. 73 DE VE7CST